/*
 * Copyright (c) 1997 Vectaport Inc.
 *
 * Permission to use, copy, modify, distribute, and sell this software and
 * its documentation for any purpose is hereby granted without fee, provided
 * that the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation, and that the names of the copyright holders not be used in
 * advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The copyright holders make
 * no representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.
 *
 * THE COPYRIGHT HOLDERS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
 * SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.
 * IN NO EVENT SHALL THE COPYRIGHT HOLDERS BE LIABLE FOR ANY SPECIAL,
 * INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING
 * FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
 * NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION
 * WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 */

#ifdef HAVE_ACE

#include <ComTerp/comterpserv.h>
#include <MapServ/mapfunc.h>
#include <LosServ/losfunc.h>
#include <LosServ/loshandler.h>

LosServHandler::LosServHandler(void) : ComterpHandler() {
    // from MapServ
    comterp_->add_command("exportfc", new ExportFCFunc(comterp_));
    comterp_->add_command("printfc", new PrintFCFunc(comterp_));
    comterp_->add_command("paint", new PaintFCFunc(comterp_));
    comterp_->add_command("painttbl", new PaintFCTblFunc(comterp_));

    // from LosServ
    comterp_->add_command("demlos", new DemLosFunc(comterp_));
    comterp_->add_command("losvisutm", new LosVisUtmFunc(comterp_));
    comterp_->add_command("demelevgeo", new DemElevGeoFunc(comterp_));
    comterp_->add_command("demelevutm", new DemElevUtmFunc(comterp_));
    comterp_->add_command("demtriutm", new DemTriUtmFunc(comterp_));
    comterp_->add_command("demgridutm", new DemGridUtmFunc(comterp_));
    comterp_->add_command("demxyz", new DemXYZFunc(comterp_));
#if 0
    comterp_->add_command("dtedlos", new DtedLosFunc(comterp_));
    comterp_->add_command("dtedelevgeo", new DtedElevGeoFunc(comterp_));
    comterp_->add_command("dtedelevutm", new DtedElevUtmFunc(comterp_));
    comterp_->add_command("dtedtriutm", new DtedTriUtmFunc(comterp_));
    comterp_->add_command("dtedgridutm", new DtedGridUtmFunc(comterp_));
#endif
}

#endif
